@media (max-width: 1280px) {
  /* header */
  .logo {
    font-size: 20px;
  }

  .nav__list {
    gap: 5px;
  }

  .nav__link {
    font-size: 14px;
  }

  .header__contacts {
    gap: 10px;
  }

  .header__phone {
    font-size: 12px;
  }

  /* stages */
  .stages__descr {
    font-size: 14px;
  }

  /* advantages */
  .advantages__list {
    background-size: 320px;
  }
}

@media (max-width: 1024px) {
  /* header */
  .burger {
    visibility: visible;
    display: block;
  }

  .nav {
    height: 100vh;
    width: 100%;
    z-index: 99;
    position: absolute;
    left: 0;
    top: 0;
    visibility: hidden;
    -webkit-transform: translateX(-500px);
    -ms-transform: translateX(-500px);
    transform: translateX(-500px);
    padding: 100px 30px;
    background-color: var(--color-white);
    -webkit-transition:
      visibility 0.2s ease,
      -webkit-transform 0.2s ease;
    transition:
      visibility 0.2s ease,
      -webkit-transform 0.2s ease;
    -o-transition:
      transform 0.2s ease,
      visibility 0.2s ease;
    transition:
      transform 0.2s ease,
      visibility 0.2s ease;
    transition:
      transform 0.2s ease,
      visibility 0.2s ease,
      -webkit-transform 0.2s ease;
  }

  .nav .nav__list {
    gap: 30px;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    text-transform: uppercase;
  }

  .nav .nav__link {
    padding: 10px 20px;
    font-size: 20px;
  }

  .nav.open {
    visibility: visible;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }

  /* hero */
  .hero__content {
    max-width: 440px;
  }

  .hero__title {
    font-size: 36px;
  }

  .hero__subtitle {
    font-size: 14px;
  }

  /* experience */
  .experience__list {
    gap: 20px;
  }

  .experience__item {
    width: calc((100% - 60px) / 4);
  }

  .experience__item-title {
    font-size: 14px;
  }

  .experience__item-text {
    font-size: 14px;
  }

  /* catalog */
  .catalog__list {
    gap: 20px;
  }

  .catalog__item {
    width: calc((100% - 40px) / 3);
  }

  .card__content {
    padding: 15px;
  }

  .card__image {
    height: 180px;
  }

  .card__title {
    font-size: 18px;
  }

  .card__subtitle {
    font-size: 14px;
  }

  /* stages */
  .stages__list {
    gap: 20px;
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr 20px 1fr;
    grid-template-columns: repeat(4, 1fr);
  }

  .stages__item {
    padding: 60px 15px 15px 15px;
  }

  .stages__item::before {
    position: absolute;
    content: attr(data-stage);
    left: 15px;
    top: 15px;
    font-size: 32px;
    font-weight: 700;
    color: var(--color-red);
  }

  .stages__item--first {
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1 / 3;
  }

  .stages__item--second {
    -ms-grid-column: 3;
    -ms-grid-column-span: 2;
    grid-column: 3 / 5;
  }

  .stages__item--third {
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-column: 1 / 2;
  }

  .stages__item--fourth {
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
    grid-column: 2 / 3;
  }

  .stages__item--fives {
    -ms-grid-column: 3;
    -ms-grid-column-span: 2;
    grid-column: 3 / 5;
  }

  /* advantages */
  .advantages__list {
    -ms-grid-columns: 1fr 20px 1fr;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    background-image: none;
  }

  .advantages__item {
    gap: 10px;
    padding: 10px 15px;
  }

  .advantages__item:nth-child(2n + 1) {
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-column: 1 / 2;
  }

  .advantages__item:nth-child(2n) {
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
    grid-column: 2 / 3;
  }

  .advantages__descr {
    font-size: 14px;
  }

  /* about */
  .about__list {
    gap: 20px;
  }

  /* contacts */
  .contacts__address {
    -ms-grid-column-span: 6;
    grid-column: span 6;
    gap: 20px;
    padding: 15px;
    font-size: 14px;
  }

  .contacts__map {
    -ms-grid-column-span: 6;
    grid-column: span 6;
  }
}

@media (max-width: 768px) {
  .container {
    padding-left: 15px;
    padding-right: 15px;
  }

  /* header */
  .nav {
    padding-left: 15px;
    padding-right: 15px;
  }

  /* hero */
  .hero__container {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
  }

  .hero__content {
    max-width: 100%;
    margin-bottom: 20px;
  }

  .hero__image {
    max-height: 360px;
    max-width: 285px;
    -ms-flex-item-align: center;
    -ms-grid-row-align: center;
    align-self: center;
  }

  .section__title {
    font-size: 28px;
  }

  /* experience */
  .experience__item {
    width: calc((100% - 20px) / 2);
    padding: 55px 15px 15px 15px;
    background-position: center top 15px;
  }

  /* catalog */
  .catalog__item {
    width: calc((100% - 20px) / 2);
  }

  /* stages */
  .stages__item--first {
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1 / 3;
  }

  .stages__item--second {
    -ms-grid-column: 3;
    -ms-grid-column-span: 2;
    grid-column: 3 / 5;
  }

  .stages__item--third {
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1 / 3;
  }

  .stages__item--fourth {
    -ms-grid-column: 3;
    -ms-grid-column-span: 2;
    grid-column: 3 / 5;
  }

  .stages__item--fives {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  /* about */
  .about__item {
    max-height: 160px;
  }
}

@media (max-width: 576px) {
  html {
    scroll-padding-top: 70px;
  }

  .section {
    padding-top: 24px;
    padding-bottom: 24px;
  }

  .section__title {
    padding-left: 30px;
    font-size: 26px;
  }

  /* header */
  .logo {
    font-size: 18px;
  }

  .header__phone {
    padding: 5px;
  }

  .header__phone span {
    display: none;
  }

  /* hero */
  .hero {
    padding-top: 120px;
    padding-bottom: 40px;
  }

  .hero__title {
    font-size: 28px;
  }

  .hero__image {
    max-height: 300px;
  }

  /* catalog */
  .card__image {
    height: 140px;
  }
  .card__title {
    font-size: 16px;
    margin-bottom: 5px;
  }

  .card__subtitle {
    font-size: 12px;
  }

  /* stages */
  .stages__item {
    padding: 50px 15px 15px 15px;
  }

  .stages__item::before {
    font-size: 26px;
  }

  .stages__item-title {
    margin-bottom: 5px;
  }

  .stages__descr {
    font-size: 12px;
  }

  .stages__item--first {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  .stages__item--second {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  .stages__item--third {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  .stages__item--fourth {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  .stages__item--fives {
    -ms-grid-column-span: 4;
    grid-column: span 4;
  }

  /* advantages */
  .advantages__item:nth-child(2n + 1) {
    -ms-grid-column-span: 2;
    grid-column: span 2;
  }

  .advantages__item:nth-child(2n) {
    -ms-grid-column-span: 2;
    grid-column: span 2;
  }

  .advantages__item:nth-child(2n)::before {
    left: 0;
  }

  /* about */
  .about__item {
    -ms-grid-column-span: 2;
    grid-column: span 2;
  }
}

@media (max-width: 410px) {
  /* catalog */
  .catalog__item {
    width: 100%;
  }
}
